## class WriteResult

### Public Methods

WriteResult(WriteStatus status=FILE_NOT_HANDLED)
WriteResult(const std::string& m)
WriteResult(const WriteResult& rr)
WriteResult& operator = (const WriteResult& rr)
const std::string& message() const
WriteStatus status() const
bool success() const
bool error() const
bool notHandled() const

### Public Members

enum WriteStatus

### Protected Fields

WriteStatus _status
std::string _message

## Documentation

`enum WriteStatus`

`FILE_NOT_HANDLED`

`FILE_SAVED`

`ERROR_IN_WRITING_FILE`

`WriteResult(WriteStatus status=FILE_NOT_HANDLED)`

`WriteResult(const std::string& m)`

`WriteResult(const WriteResult& rr)`

`WriteResult& operator = (const WriteResult& rr)`

`const std::string& message() const`

`WriteStatus status() const`

`bool success() const`

`bool error() const`

`bool notHandled() const`

`WriteStatus _status`

`std::string _message`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.